org.mariadb.jdbc.internal.packet.result

## Class AbstractResultPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

Direct Known Subclasses:
  EndOfFilePacket, ErrorPacket, LocalInfilePacket, OkPacket, ResultSetPacket

    public abstract class AbstractResultPacket
    extends Object

### Nested Class Summary

Nested Classes
`static class` `AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`AbstractResultPacket()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static long` `getLengthEncodedBinary(ByteBuffer byteBuffer)` Get next binary data encoded length.
`abstract AbstractResultPacket.ResultType` `getResultType()`
`static int` `read24bitword(ByteBuffer byteBuffer)` Read 24 bit integer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractResultPacket

    public AbstractResultPacket()

### Method Detail

#### getResultType

    public abstract AbstractResultPacket.ResultType getResultType()

#### getLengthEncodedBinary

    public static long getLengthEncodedBinary(ByteBuffer byteBuffer)

Get next binary data encoded length.

Parameters:
  `byteBuffer` - bytebuffer
Returns:
  length

#### read24bitword

    public static int read24bitword(ByteBuffer byteBuffer)

Read 24 bit integer.

Parameters:
  `byteBuffer` - bytebuffer
Returns:
  length